Bug 448811 - Arrow keys (Up/Down) have no effect when the search field has focus in Klipper applet
Summary: Arrow keys (Up/Down) have no effect when the search field has focus in Klippe...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Clipboard (show other bugs)
Version: master
Platform: OpenSUSE Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-01-20 08:54 UTC by Fushan Wen
Modified: 2022-02-22 06:50 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fushan Wen 2022-01-20 08:54:51 UTC
SUMMARY
When the search field has focus, pressing Up or Down key will not switch the focus to the clipboard item.


STEPS TO REPRODUCE
1. Open Clipboard applet
2. Press Ctrl+F to focus on the search field
3. Press Down key

OBSERVED RESULT


EXPECTED RESULT


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2022-01-20 09:25:27 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1381
Comment 2 Bug Janitor Service 2022-01-20 09:25:28 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1381
Comment 3 Fushan Wen 2022-01-20 12:29:14 UTC
Git commit 95a267d582ba041bbc245b7a22adc7af42e3ffa3 by Fushan Wen.
Committed on 20/01/2022 at 09:48.
Pushed by fusionfuture into branch 'master'.

applets/clipboard: Make Up/Down arrow keys work in ClipboardPage

ListView will absorb the key events, so `Keys.onPressed` in
ClipboardPage will not receive the event. Instead we should connect
those key events to `arrowKeyPressed()`.

M  +40   -24   applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/95a267d582ba041bbc245b7a22adc7af42e3ffa3
Comment 4 Fushan Wen 2022-01-20 12:29:22 UTC
Git commit 7661578438b26530cfef714a830a54b441c4dff1 by Fushan Wen.
Committed on 20/01/2022 at 09:48.
Pushed by fusionfuture into branch 'master'.

applets/clipboard: Focus on the search field for the first time opening the applet

So Up/Down key can navigate the list items instead of scrolling in
the ListView.

M  +3    -0    applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/7661578438b26530cfef714a830a54b441c4dff1
Comment 5 Fushan Wen 2022-02-22 06:38:11 UTC
Git commit cc70f181a1fcdbaf83d34cd492177b380e993133 by Fushan Wen.
Committed on 22/02/2022 at 06:38.
Pushed by fusionfuture into branch 'cherry-pick-95a267d5'.

applets/clipboard: Make Up/Down arrow keys work in ClipboardPage

ListView will absorb the key events, so `Keys.onPressed` in
ClipboardPage will not receive the event. Instead we should connect
those key events to `arrowKeyPressed()`.


(cherry picked from commit 95a267d582ba041bbc245b7a22adc7af42e3ffa3)

M  +40   -24   applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/cc70f181a1fcdbaf83d34cd492177b380e993133
Comment 6 Fushan Wen 2022-02-22 06:45:50 UTC
Git commit 9e0baec1dfaf81d4a4d3346d28a3f8ff0d56329b by Fushan Wen.
Committed on 22/02/2022 at 06:45.
Pushed by fusionfuture into branch 'Plasma/5.24'.

applets/clipboard: Make Up/Down arrow keys work in ClipboardPage

ListView will absorb the key events, so `Keys.onPressed` in
ClipboardPage will not receive the event. Instead we should connect
those key events to `arrowKeyPressed()`.
Related: bug 450040
FIXED-IN: 5.24.2


(cherry picked from commit 95a267d582ba041bbc245b7a22adc7af42e3ffa3)

M  +40   -24   applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/9e0baec1dfaf81d4a4d3346d28a3f8ff0d56329b
Comment 7 Fushan Wen 2022-02-22 06:49:55 UTC
Git commit 33df8fc7964153b899de96ceacd00edce885b560 by Fushan Wen.
Committed on 22/02/2022 at 06:49.
Pushed by fusionfuture into branch 'cherry-pick-76615784'.

applets/clipboard: Focus on the search field for the first time opening the applet

So Up/Down key can navigate the list items instead of scrolling in
the ListView.


(cherry picked from commit 7661578438b26530cfef714a830a54b441c4dff1)

M  +3    -0    applets/clipboard/contents/ui/ClipboardPage.qml

https://invent.kde.org/plasma/plasma-workspace/commit/33df8fc7964153b899de96ceacd00edce885b560
Comment 8 Bug Janitor Service 2022-02-22 06:50:35 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-workspace/-/merge_requests/1482